import { Agent, AgentStatus, AgentStatusEnum, DSCacheService } from '@metad/ocap-core';
import { Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NgmAgentService {
    private agents;
    error$: Subject<unknown>;
    _error$: any;
    constructor(agents: Array<Agent>);
    selectLocalAgentStatus(): Observable<AgentStatus | AgentStatusEnum>;
    error(err: unknown): void;
    selectError(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmAgentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgmAgentService>;
}
export declare class NgmDSCacheService extends DSCacheService {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmDSCacheService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgmDSCacheService>;
}
